apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: {{ include "helm.fullname" . }}-cronjob
spec:
  schedule: {{ .Values.cronjob.schedule }}
  concurrencyPolicy: {{ .Values.cronjob.concurrencyPolicy }}
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: {{ include "helm.fullname" . }}-cronjob
            image: buildpack-deps:curl
            args:
            - /bin/sh
            - -c
            - curl -X PUT "http://{{ include "helm.fullname" . }}:{{ .Values.service.port }}{{ .Values.cronjob.endpoint }}"
          restartPolicy: OnFailure
